#ifndef NTPSERVER_H
#define NTPSERVER_H

#include <QObject>

#include "device/DeviceBase.h"
#include "protocol/NtpServerProtocolBM.h"
#include "protocol/dto/CommandReplyDto.h"

class NtpServer : public DeviceBase
{
    Q_OBJECT
public:
    explicit NtpServer(QObject *parent = nullptr);
    ~NtpServer();

    void frameParse(QList<QByteArray> frameList);

    void mockReceivData();
    void mockReceivCmdReply();

    void afterFrameParse(DeviceFrameBaseDto * frameDto);
    void afterCommandReply(DeviceFrameBaseDto * frameDto);
    void sendDataToSerial(QByteArray data);

signals:
    void sendDataToDraw(DeviceFrameBaseDto * frameData);
    void sendCommandToDisplay(QJsonObject command);

public slots:
    void dataReceivedHandler(QByteArray data);
    void dataBReceivedHandler(QByteArray data);
    void commandReceivedHandler(QJsonObject command);
};

#endif // NTPSERVER_H
